# coding: utf-8

"""
Created on 30.09.2014

@author: tr0glo)|(I╠╣
"""

from java.io import FileInputStream
import os

from common.dbutils import DataBaseXMLExchange
from common.grainssettings import SettingsManager
from ru.curs.celesta.syscursors import UserRolesCursor, PermissionsCursor, \
    RolesCursor


def importData(tableInstance, filePath):
    u"""Функция загрузки данных в БД"""
    dataStream = FileInputStream(filePath)
    exchange = DataBaseXMLExchange(dataStream, tableInstance)
    exchange.uploadXML()
    dataStream.close()


def initTables(context):
    settings = SettingsManager()
    roles = RolesCursor(context)
    filePath = os.path.dirname(os.path.abspath(__file__))

    if settings.getGrainSettings("fias/fiasSettings/parameter[@name='isSystemInitialised']", grain="fias") == "false":
        return

    importData(roles, filePath + "/roles.xml")

    userroles = UserRolesCursor(context)
    importData(userroles, filePath + "/userRoles.xml")

    perms = PermissionsCursor(context)
    importData(perms, filePath + "/permissions.xml")

    settings.setGrainSettings("fias/fiasSettings/parameter[@name='isSystemInitialised']", "true", grain="fias")
